Skip to Content

List saved post-delivery check-in setups

Requires organization-wide access. Lists the 100 most recently updated selections the caller can read. Read live readiness separately.

GET
/v1/integrations/catalog/recipes/post-delivery-check-in/setups

Requires organization-wide access. Lists the 100 most recently updated selections the caller can read. Read live readiness separately.

Authorization

apiKey
headerx-api-key<token>

Response Body

RecipeSetups

application/json
  1. response
items*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipeSetupsList({});
Example Response
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "revision": "b587a570-d9a5-40c2-87da-edba28b3005f",
      "references": {
        "channel": "email",
        "templateFamilyId": "string",
        "integrationAccountId": "string",
        "publicationId": "string",
        "senderId": "string",
        "whatsappAccountId": "string",
        "registrationId": "string",
        "mailboxEndpointId": "string",
        "journeyId": "string",
        "eventBindings": {
          "property1": "string",
          "property2": "string"
        }
      },
      "updatedAt": "string"
    }
  ]
}

Related documentation